Debian Bug report logs - #362161
ITA: skinedit -- skin editor for TiEmu

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julien BLACHE <jblache@debian.org>

Date: Wed, 12 Apr 2006 15:48:20 UTC

Owned by: Krzysztof Burghardt <krzysztof@burghardt.pl>

Severity: normal

Fixed in version skinedit/1.27-2

Done: Krzysztof Burghardt <krzysztof@burghardt.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#362161; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: skinedit -- skin editor for TiEmu
Date: Wed, 12 Apr 2006 17:27:15 +0200
Package: wnpp
Severity: normal

Hi,

I intend to orphan the skinedit package.

The package description is:
 skinedit is the skin editor that accompagnies TiEmu, the Texas Instruments
 calculators emulator. By using a different skin, you change the appearance
 of the emulator.
 .
 skinedit can handle VTi (another emulator, running on Windows) skins too,
 allowing you to convert the skins between the VTi formats and the TiEmu
 format.

You will probably be interested in the related, also orphaned, packages:
 tiemu, tilp, tidev-modules-source, libtifiles0, libticables3, libticalcs4

JB.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information stored:
Bug#362161; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 362161-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain LIEVIN <roms@tilp.info>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet@bugs.debian.org
Subject: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Tue, 27 Nov 2007 10:46:50 +0930
[Message part 1 (text/plain, inline)]
Hi,

The Debian packages of tilp, tiemu, libticalcs, libticables, libtifiles,
libtifiles and skinedit were orphaned by the previous maintainer, Julian
Blanche. Some of them now fail to build from source because the modules
packages were removed because they are apparently part of Linux now:

http://bugs.debian.org/362162

Are you interested in adopting these packages, or do you know any Debian
users who would be interested in keeping them in Debian and helping
maintain them? Ideally someone who has access to the hardware would be
good.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#362161; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 362161-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain Liévin <roms@lievin.net>, Julien Blache <jb@jblache.org>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet <362166-quiet@bugs.debian.org>
Subject: Re: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Wed, 28 Nov 2007 10:08:23 +0930
[Message part 1 (text/plain, inline)]
[keeping the bugs informed]

On Tue, 2007-11-27 at 21:12 +0100, Romain Liévin wrote:

> > The Debian packages of tilp, tiemu, libticalcs, libticables, libtifiles,
> > libtifiles and skinedit were orphaned by the previous maintainer, Julien
> > Blache. Some of them now fail to build from source because the modules
> > packages were removed because they are apparently part of Linux now:
> >
> > http://bugs.debian.org/362162
> 
> This is not fully exact: two of them (tipar/tiusb) are a part of the 
> Linux kernel tree but one of them (tiusb) has been removed from kernel. 
> Anyways, these modules are not needed any longer. TiLP2 provides a full 
> user-land support and relies on udev.

Ah, good to hear they aren't needed.

> > Are you interested in adopting these packages, or do you know any Debian
> > users who would be interested in keeping them in Debian and helping
> > maintain them? Ideally someone who has access to the hardware would be
> > good.
> 
> I may be interested in because 1) I did not find any users to manage 
> this 2) I have been managing my own Debian packages for 6 months 
> starting at JB's packages 3) I'm using Debian everywhere 4) I have 
> access to hardware (I'm the developer).
> 
> Nevertheless, I'm waiting for Julien Blache's phone calling before 
> giving you a final decision; Maybe you don't know: we are two guys 
> working on the three most importants projects (tilp/tiemu/tigcc) so 
> development is using a lot of my time.

Perhaps Julien would have time to sponsor your packages?

If not, here is the procedure to get the packages updated:

First read this:

http://people.debian.org/~mpalmer/debian-mentors_FAQ.html

Then get the packages uploaded to:

http://mentors.debian.net

Then ask for a sponsor on this list:

http://lists.debian.org/debian-mentors/

Once the sponsor is happy with your contributions, they can propose that
you become a DM (Debian Maintainer). DMs are people who can upload
specific packages to the archive:

http://www.debian.org/vote/2007/vote_003

Once you becomes a DM, you will be able to upload packages that you
maintain that a sponsor has previously tagged with a
"DM-Upload-Allowed: yes" field and signed and uploaded to Debian.
The DM process is a fairly new one, so we're still shaking out the bugs.

The other way to get direct upload rights (for any package) is to go
through NM. Currently this is a fairly long and arduous process that
requires some effort:

http://www.debian.org/devel/join/newmaint

> > I also note that src/win32/porttalk_ioctl.h is extremely non-free, and
> > shouldn't be distributed with libticables:
>    
> We fixed these issues few months ago by using MPlayer's driver (GPL'ed) 
> and we fixed TiEmu, too (it contained some unknown/non-free licensed code).

Ah, good to hear.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#362161; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 362161-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain Liévin <roms@lievin.net>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet <362166-quiet@bugs.debian.org>
Subject: Re: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Sat, 01 Dec 2007 07:00:57 +0930
[Message part 1 (text/plain, inline)]
On Fri, 2007-11-30 at 21:15 +0100, Romain Liévin wrote:

> Following JB's phone calling, I will maintain these packages.
>
> > Perhaps Julien would have time to sponsor your packages?
>  
> Yes, he agrees.

Excellent, keeping the bugs informed.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Owner recorded as "Krzysztof Burghardt" <krzysztof@burghardt.pl>. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 14:57:08 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: skinedit -- skin editor for TiEmu' from `O: skinedit -- skin editor for TiEmu'. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 14:57:08 GMT) Full text and rfc822 format available.

Owner changed from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to Krzysztof Burghardt <krzysztof@burghardt.pl>. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 15:48:11 GMT) Full text and rfc822 format available.

Reply sent to Krzysztof Burghardt <krzysztof@burghardt.pl>:
You have taken responsibility. (Mon, 28 Sep 2009 17:57:13 GMT) Full text and rfc822 format available.

Notification sent to Julien BLACHE <jblache@debian.org>:
Bug acknowledged by developer. (Mon, 28 Sep 2009 17:57:13 GMT) Full text and rfc822 format available.

Message #31 received at 362161-close@bugs.debian.org (full text, mbox):

From: Krzysztof Burghardt <krzysztof@burghardt.pl>
To: 362161-close@bugs.debian.org
Subject: Bug#362161: fixed in skinedit 1.27-2
Date: Mon, 28 Sep 2009 17:32:26 +0000
Source: skinedit
Source-Version: 1.27-2

We believe that the bug you reported is fixed in the latest version of
skinedit, which is due to be installed in the Debian FTP archive:

skinedit_1.27-2.diff.gz
  to pool/main/s/skinedit/skinedit_1.27-2.diff.gz
skinedit_1.27-2.dsc
  to pool/main/s/skinedit/skinedit_1.27-2.dsc
tiemu-skinedit_1.27-2_amd64.deb
  to pool/main/s/skinedit/tiemu-skinedit_1.27-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362161@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Krzysztof Burghardt <krzysztof@burghardt.pl> (supplier of updated skinedit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Sep 2009 14:05:40 +0200
Source: skinedit
Binary: tiemu-skinedit
Architecture: source amd64
Version: 1.27-2
Distribution: unstable
Urgency: low
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Changed-By: Krzysztof Burghardt <krzysztof@burghardt.pl>
Description: 
 tiemu-skinedit - skin editor for TiEmu
Closes: 362161
Changes: 
 skinedit (1.27-2) unstable; urgency=low
 .
   * New maintainer (Closes: #362161)
   * Updated to debhelper 5
   * Suggests tiemu
   * Updated debian/copyright
   * Standards-Version updated to 3.8.3
Checksums-Sha1: 
 24326ba2e4148bfc0808886a0803a92e3770ddab 1037 skinedit_1.27-2.dsc
 a24f4f511e5652d811c44dc30d197af77ce9b21a 2686 skinedit_1.27-2.diff.gz
 1117b7fa621ddc0809380008c82b7f982242c2fe 51170 tiemu-skinedit_1.27-2_amd64.deb
Checksums-Sha256: 
 58a457cc1091afc12a3270cbedad8efe6e318142015c96a86f10fa3389394696 1037 skinedit_1.27-2.dsc
 e048da1206907b44f70987fc2200040b051c3ef4fe47254de693724db0e0c896 2686 skinedit_1.27-2.diff.gz
 681c663732611821f1ac2e4611d119139ea1faf49633b58dc99b2a214b21b75b 51170 tiemu-skinedit_1.27-2_amd64.deb
Files: 
 3e6429f56ce03ca11a82b97dfc8e7f4c 1037 math optional skinedit_1.27-2.dsc
 b221ec8202b36c8dcb990da927226419 2686 math optional skinedit_1.27-2.diff.gz
 fac4c238f28a89569bcb8e4172f375f4 51170 math optional tiemu-skinedit_1.27-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFKwO/uzWFP1/XWUWkRAqQ1AKCVzAhopKsr0BvZ8QDaR09tdLzQfgCg0iH8
cHTYY5PRCeEeICU8kB+xZd8=
=0SLC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Oct 2009 07:36:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:52:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.